import { Entity, Column } from 'typeorm';
import { BaseEntity } from './base.entity';

@Entity('customers')
export class Customer extends BaseEntity {
  @Column()
  email: string;

  @Column()
  name: string;

  @Column({ default: false })
  is_verified: boolean;
}
