import { Entity, Column, ManyToOne } from 'typeorm';
import { BaseEntity } from './base.entity';
import { Companion } from './companion.entity';

@Entity('payout_requests')
export class PayoutRequest extends BaseEntity {
  @ManyToOne(() => Companion, (companion) => companion.id)
  companion: Companion;

  @Column({ type: 'float' })
  amount: number;

  @Column({ default: 'Pending' })
  status: string;
}
