import { Entity, Column, ManyToOne } from 'typeorm';
import { BaseEntity } from './base.entity';
import { Companion } from './companion.entity';

@Entity('revenue_reports')
export class RevenueReport extends BaseEntity {
  @ManyToOne(() => Companion, (companion) => companion.id)
  companion: Companion;

  @Column({ type: 'float' })
  total_earnings: number;

  @Column({ type: 'float' })
  total_payouts: number;

  @Column({ type: 'float' })
  pending_payouts: number;
}
