import { Entity, Column } from 'typeorm';
import { BaseEntity } from './base.entity';

@Entity('services')
export class Service extends BaseEntity {
  @Column()
  service_name: string;

  @Column({ type: 'float' })
  price: number;

  @Column({ nullable: true })
  description: string;
}
