import { Entity, Column, ManyToOne } from 'typeorm';
import { BaseEntity } from './base.entity';
import { User } from './user.entity';

@Entity('support_tickets')
export class SupportTicket extends BaseEntity {
  @ManyToOne(() => User, (user) => user.id)
  user: User;

  @Column()
  issue_description: string;

  @Column({ default: 'Open' })
  status: string;
}
