import { Entity, Column, ManyToOne } from 'typeorm';
import { BaseEntity } from './base.entity';
import { Companion } from './companion.entity';

@Entity('companion_galleries')
export class CompanionGallery extends BaseEntity {
  @ManyToOne(() => Companion, (companion) => companion.id)
  companion: Companion;

  @Column()
  image_url: string;
}
