import { Entity, Column } from 'typeorm';
import { BaseEntity } from './base.entity';

@Entity('content')
export class Content extends BaseEntity {
  @Column()
  title: string;

  @Column({ nullable: true })
  description: string;

  @Column()
  content_url: string;

  @Column({ default: 'Pending' })
  status: string;
}
