import { Entity, Column, ManyToOne } from 'typeorm';
import { BaseEntity } from './base.entity';
import { Customer } from './customer.entity';

@Entity('custom_content_requests')
export class CustomContentRequest extends BaseEntity {
  @ManyToOne(() => Customer, (customer) => customer.id)
  customer: Customer;

  @Column()
  request_details: string;

  @Column({ default: 'Pending' })
  status: string;
}
