import { Entity, Column } from 'typeorm';
import { BaseEntity } from './base.entity';

@Entity('service_packages')
export class ServicePackage extends BaseEntity {
  @Column()
  package_name: string;

  @Column({ type: 'float' })
  price: number;

  @Column({ nullable: true })
  description: string;
}
