import { Entity, Column, ManyToOne } from 'typeorm';
import { BaseEntity } from './base.entity';
import { Customer } from './customer.entity';
import { Companion } from './companion.entity';

@Entity('tips')
export class Tip extends BaseEntity {
  @ManyToOne(() => Customer, (customer) => customer.id)
  customer: Customer;

  @ManyToOne(() => Companion, (companion) => companion.id)
  companion: Companion;

  @Column({ type: 'float' })
  amount: number;
}
